<template>
    <nav id="nav-mobile" class="navbar navbar-expand-lg fixed-top bg-white d-md-none">
        <div class="navbar-brand pb-3">
            <router-link @click.native="closeNav" to="/">
                <b-img src="/img/logo2.gif" class="logo" />
            </router-link>
        </div>
        <button class="navbar-toggler" v-b-toggle.navbar-sections type="button" aria-controls="navbarToggler" aria-expanded="false" aria-label="Toggle navigation">
            <fa-icon icon="bars" />
        </button>

        <b-collapse id="navbar-sections" v-model="showNavSections">
            <div id="navbar-sections" class="navbar-collapse">
                <ul class="navbar-nav mt-2 mt-lg-0">
                    <li class="nav-item">
                        <router-link @click.native="closeNav" to="/illustrations" :class="['nav-link', { active: $route.name == 'illustrations' }]">illustrations</router-link>
                    </li>
                    <li class="nav-item">
                        <a href="" class="nav-link" v-b-toggle.projects @click.prevent>design & animation</a>
                        <b-collapse id="projects">
                            <ul class="navbar-nav ml-2" id="design-and-animation-projects-mobile">
                                <li v-for="project in projects" class="nav-item">
                                    <router-link
                                        @click.native="closeNav"
                                        :to="{ name: 'project', params: {projectCode: project.code} }"
                                        role="button"
                                        class="nav-link">
                                            {{ project.name }}
                                    </router-link>
                                </li>
                            </ul>
                        </b-collapse>
                    </li>
                    <li class="nav-item">
                        <router-link @click.native="closeNav"  to="/contact" :class="['nav-link', { active: $route.name == 'contact' }]">Contact</router-link>
                    </li>
                    <li class="nav-item">
                        <router-link @click.native="closeNav" to="/bio" :class="['nav-link', { active: $route.name == 'bio' }]">Bio</router-link>
                    </li>
                    <li class="nav-item">
                        <a href="http://puntovero.com/shop/Luis-Goldberg-H" target="_blank" class="nav-link">shop</a>
                    </li>
                    <li class="nav-item">
                        <a href="https://www.facebook.com/profile.php?id=100009663312638" target="_blank" class="nav-link">
                            <fa-icon :icon="['fab', 'facebook']" /> /Luis David Goldberg
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="https://www.instagram.com/luisdavid_goldberg/" target="_blank" class="nav-link">
                            <fa-icon :icon="['fab', 'instagram']" /> /telegrafia
                        </a>
                    </li>
                </ul>
            </div>

        </b-collapse>
    </nav>
</template>

<style lang="scss" scoped>
    #nav-mobile .logo {
        max-width: 200px;
    }

    .navbar-toggler {
        outline: none !important;
    }

    #navbar-sections {
        width: 100%;
    }
</style>

<script>
    import projects from '../../data.json'

    import { BCollapse, VBToggle, BImg } from 'bootstrap-vue'

    import { library } from '@fortawesome/fontawesome-svg-core'
    import { faBars } from '@fortawesome/free-solid-svg-icons'
    import { faFacebook, faInstagram } from '@fortawesome/free-brands-svg-icons'
    import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

    library.add([faBars, faFacebook, faInstagram])

    export default {
        name: 'NavMobile',
        components: {
            'fa-icon': FontAwesomeIcon,
            'b-collapse': BCollapse,
            'b-img': BImg
        },
        directives: {
            'b-toggle': VBToggle
        },
        data() {
            return {
                projects: projects,
                showNavSections: false
            }
        },
        methods: {
            closeNav() {
                this.showNavSections = false;
            }
        },
        mounted() {
            this.$root.$on('project_clicked', () => {
                this.closeNav();
            });
        }
    }
</script>
